:root{
    --fondo: #f5f5f5;
    --fondo2: #ffffff;
    --fuente: #333;

    --boton: #857004;
    --Hover: #E6C200;
    --Bordes: #D4AF37;

    --error: #f90505;
    --azuloscuro: #003366;
    --AzulTransparente: #6ab4f169;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}




.header{
    position: absolute;
    top: 20px;
    width: 100%;
}

.logo{
    width: 120px;
}

.izquierda{
    position: absolute;
    left: 40px;
}

.derecha{
    position: absolute;
    right: 40px;
}



.busqueda{
    background-color: rgba(255,255,255,0.95);
    backdrop-filter: blur(5px);
    padding: 45px 90px;
    border-radius: 15px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.2);
    width: 400px;
    text-align: center;
}

h1 {
    color: var(--azuloscuro);
    margin-bottom: 25px;
}



input[type="number"] {
    width: 80%;
    padding: 10px;
    border: 1px solid var(--azuloscuro);
    border-radius: 5px;
    font-size: 16px;
    margin-top: 10px;
}



button {
    padding: 10px 20px;
    margin-left: 10px;
    margin-top: 15px;
    font-size: 16px;
    border: none;
    border-radius: 5px;
    background-color: var(--boton);
    color: white;
    cursor: pointer;
    transition: 0.3s ease;
}

button:hover {
    background-color: var(--Hover);
    transform: scale(1.05);
}



.result {
    margin-top: 20px;
    text-align: left;
    background-color: var(--AzulTransparente);
    padding: 15px;
    border-radius: 8px;
}

.error {
    color: var(--error);
    border: 1px solid var(--error);
    margin-top: 20px;
    padding: 10px;
    border-radius: 5px;
}

.field-label {
    font-weight: bold;
}